(function($){
	$.fn.waMediaOverlay = function(options) {
		var $media = $(this);
		var $overlay = $(options.overlay);
		var $zoom = $media.find('.zoom');
		var $fade = $media.find('.fade');
		var $close = $overlay.find('.close');
		var $onHover = options.onHover != undefined ? options.onHover : true;

		if($onHover && !('ontouchstart' in window)) {
			$media.hover(function(){
				$fade.show();
				$zoom.show();
			}, function(){
				$fade.hide();
				$zoom.hide();
			});
		}
		$overlay.appendTo($('body'));
		$close.on('click', function(){ 
			$overlay.hide();
		});
		$media.on('click', function(){
			$overlay.show().find('.overlay-offset').css('margin-top', $($media).offset().top - 100);
		});

		var $social_show = $overlay.find('.social-show');
		var $social_text = $overlay.find('.social-text');
		var $social_buttons = $overlay.find('.social-buttons');
		$social_show.hover(function(){
			$social_text.hide();
			$social_buttons.show();
		}, function(){
			$social_text.show();
			$social_buttons.hide();
		});
	};
} /* waMediaOverlay */
)(jQuery);

